import { ViewBase, PropertyChangeData } from '@nativescript/core';
export interface BindingHandler {
    addChangeListener: (source: any, target: ViewBase, propertyNames: string[], changeCallback: (args: PropertyChangeData) => void) => void;
    removeChangeListener: (source: any, target: ViewBase, propertyNames: string[], changeCallback: (args: PropertyChangeData) => void) => void;
    isCompatible: (source: any, target: ViewBase) => boolean;
    setValue: (source: any, target: ViewBase, propertyName: string, propertyValue: string) => void;
}
export declare function onBindingSourcePropertyChange(args: any): void;
export declare class BindingHelper {
    static getDataBindingHandler(): BindingHandler;
    static setDataBindingHandler(handler: BindingHandler): void;
    static createParentsBindingInstance(view: ViewBase, cssTypes: string[]): {};
    static startViewToViewModelUpdate(view: ViewBase, bindingContext: any, callback: any): void;
    static startViewModelToViewUpdate(view: ViewBase, bindingContext: any, callback: any): void;
    static runConverterCallback(context: any, converter: any, args: [], toModelDirection?: boolean): any;
}
